Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZOrder Class Reference

eZOrder handles orders More...

Inheritance diagram for eZOrder:

## Public Member Functions
| __construct ( $row)
| detachProductCollection ()
| productCollection ()
| productItems ( $asObject=true, ?array $sorts=null)
| productItemsOrdered ( $asObject=true, $order=true)
| productTotalIncVAT ()
| productTotalExVAT ()
| orderTotalIncVAT ()
| orderTotalExVAT ()
| totalIncVAT ()
| totalExVAT ()
| purge ( $removeCollection=true)
| removeCollection ()
| removeHistory ()
| removeOrderItems ()
| totalVAT ()
| orderItems ()
| orderItemsByType ( $itemType)
| user ()
| accountInformation ()
| accountName ()
| accountEmail ()
| status ( $asObject=false)
| canModifyStatus ( $statusID, $user=false)
| statusModificationList ( $user=false)
| modifyStatus ( $statusID, $userID=false)
| createStatusHistory ()
| setStatus ( $status)
| setStatusModified ( $timestamp)
| statusName ()
| statusObject ()
| activate ()
| getNewID ()
| accountViewTemplate ()
| orderInfo ()
| currencyCode ( $collection=false)
Public Member Functions inherited from eZPersistentObject
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | fetch ( $id, $asObject=true)
static | fetchList ( $asObject=true)
static | activeByUserID ( $userID, $asObject=true)
static | getShowOrdersQuery ( $show, $table=null)
static | active ( $asObject=true, $offset=0, $limit=100000, $sortField="created", $sortOrder="asc", $show=eZOrder::SHOW_NORMAL)
static | activeCount ( $show=eZOrder::SHOW_NORMAL)
static | orderStatistics ( $year=false, $month=false)
static | orderList ( $CustomID, $Email)
static | productList ( $CustomID, $Email)
static | customerCount ()
static | customerList ( $offset, $limit)
static | discount ( $userID, $object)
static | removeItem ( $itemID)
static | cleanupOrder ( $orderID)
static | archiveOrder ( $orderID)
static | unArchiveOrder ( $orderID)
static | cleanup ()
static | fetchLocaleCurrencyCode ()
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Public Attributes
| $ProductCollectionID
| $IgnoreVAT
| $OrderNr
| $StatusID
| $StatusModified
| $StatusModifierID
| $AccountIdentifier
const | SHOW_NORMAL = 0
const | SHOW_ARCHIVED = 1
const | SHOW_ALL = 2
| $Status
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average

## Additional Inherited Members
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

eZOrder handles orders

See also
  eZProductCollection eZBasket

Definition at line 19 of file ezorder.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZOrder::__construct | ( |  | $row | ) |

Initializes the object with the $row.

It will try to set each field taken from the database row. Calls fill to do the job. If $row is an integer, it will try to fetch it from the database using it as the unique ID.

Parameters

  int | array | $row |

Reimplemented from eZPersistentObject.

Definition at line 32 of file ezorder.php.

## Member Function Documentation

## ◆ accountEmail()

eZOrder::accountEmail | ( |  | ) |

Returns
  the account email The shop account handler decides what is returned here

Definition at line 1030 of file ezorder.php.

References eZShopAccountHandler\instance().

## ◆ accountInformation()

eZOrder::accountInformation | ( |  | ) |

Returns
  the account information The shop account handler decides what is returned here

Definition at line 1006 of file ezorder.php.

References eZShopAccountHandler\instance().

## ◆ accountName()

eZOrder::accountName | ( |  | ) |

Returns
  the custom name The shop account handler decides what is returned here

Definition at line 1018 of file ezorder.php.

References eZShopAccountHandler\instance().

## ◆ accountViewTemplate()

eZOrder::accountViewTemplate | ( |  | ) |

Returns
  the template to use for account view

Definition at line 1338 of file ezorder.php.

References $AccountIdentifier.

## ◆ activate()

eZOrder::activate | ( |  | ) |

Creates a real order from the temporary state.

The ezorder has an internal (id) and an external (order_nr) ID. The ID will be set as soon as a customer (who buys a product), approves the account information. A row is added to the ezorder table (the ID (auto_increment) is generated). This ID is needed for extensions, such as PaynetTerminal (The ID is given.)

The active (confirmed and paid) orders have an order_nr. This order_nr is generated as soon as the order is processed.

We use order_nr instead of the id to (externally) rever to an order:

- We don't have gaps in the order_nr's.
- The lowest order_nr goes to the order which is accepted first. (Not started first.)

Another solution would be to use an temporary_order table, instead of adding two IDs. I think (rb) this is a cleaner solution.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 1300 of file ezorder.php.

References eZPersistentObject\attribute(), createStatusHistory(), getNewID(), eZPersistentObject\setAttribute(), and eZPersistentObject\store().

## ◆ active()

static eZOrder::active | ( |  | $asObject = `true`,
|  |  | $offset = `0`,
|  |  | $limit = `100000`,
|  |  | $sortField = `"created"`,
|  |  | $sortOrder = `"asc"`,
|  |  | $show = `eZOrder::SHOW_NORMAL`
| ) |  |
| static

Returns
  the active orders

Definition at line 220 of file ezorder.php.

References definition(), eZPersistentObject\fetchObjectList(), eZDB\instance(), and SHOW_ALL.

## ◆ activeByUserID()

static eZOrder::activeByUserID | ( |  | $userID,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 193 of file ezorder.php.

References definition(), and eZPersistentObject\fetchObjectList().

## ◆ activeCount()

static eZOrder::activeCount | ( |  | $show = `eZOrder::SHOW_NORMAL` | ) |
| static

Returns
  the number of active orders

Definition at line 276 of file ezorder.php.

References getShowOrdersQuery(), and eZDB\instance().

## ◆ archiveOrder()

static eZOrder::archiveOrder | ( |  | $orderID | ) |
| static

Archive an order.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 1378 of file ezorder.php.

References eZDB\instance().

## ◆ canModifyStatus()

eZOrder::canModifyStatus | ( |  | $statusID,
|  |  | $user = `false`
| ) |  |

Returns
  `true` if the user $user can modify the status to $statusID

Definition at line 1052 of file ezorder.php.

References eZPersistentObject\attribute(), eZUser\currentUser(), eZUser\fetch(), and eZDebug\writeError().

## ◆ cleanup()

static eZOrder::cleanup | ( |  | ) |
| static

Removes all orders from the database.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 1404 of file ezorder.php.

References eZOrderItem\cleanup(), eZProductCollection\cleanupList(), eZPersistentObject\count(), eZDB\instance(), and eZAudit\writeAudit().

## ◆ cleanupOrder()

static eZOrder::cleanupOrder | ( |  | $orderID | ) |
| static

Removes an order and its related data from the database.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 1349 of file ezorder.php.

References eZPersistentObject\count(), eZDB\instance(), and eZAudit\writeAudit().

## ◆ createStatusHistory()

eZOrder::createStatusHistory | ( |  | ) |

Creates a status history element from the the current status information and stores it in the database.

Returns
  The new history element that was stored in the database.

Note
  This is usually only needed the first time an order is created.
  transaction unsafe

Definition at line 1219 of file ezorder.php.

References eZOrderStatusHistory\create().

Referenced by activate().

## ◆ currencyCode()

eZOrder::currencyCode | ( |  | $collection = `false` | ) |

Returns
  the used currency code for the order. Will return the locale currency if only a emty string is found from the order.

Parameters

  $collection | may contain: A string with the currency code. An object of the class eZProductCollection. false, to fetch the current productCollection from the order.

Definition at line 1556 of file ezorder.php.

References eZPersistentObject\attribute(), eZProductCollection\fetch(), and fetchLocaleCurrencyCode().

## ◆ customerCount()

static eZOrder::customerCount | ( |  | ) |
| static

Returns
  number of customers.

Definition at line 586 of file ezorder.php.

References eZDB\instance().

## ◆ customerList()

static eZOrder::customerList | ( |  | $offset,
|  |  | $limit
| ) |  |
| static

Returns
  the list customers.

Definition at line 596 of file ezorder.php.

References eZPersistentObject\count(), fetch(), fetchLocaleCurrencyCode(), and eZDB\instance().

## ◆ definition()

static eZOrder::definition | ( |  | ) |
| static

Returns the definition for the object, the default implementation is to return an empty array. It's upto each inheriting class to return a proper definition array.

The definition array is an associative array consists of these keys:

- fields: an associative array of fields which defines which database field (the key) is to fetched and how they map to object member variables (the value).
- keys: an array of fields which is used for uniquely identifying the object in the table.
- function_attributes: an associative array of attributes which maps to member functions, used for fetching data with functions.
- set_functions: an associative array of attributes which maps to member functions, used for setting data with functions.
- increment_key: the field which is incremented on table inserts.
- class_name: the classname which is used for instantiating new objecs when fetching from the database.
- sort: an associative array which defines the default sorting of lists, the key is the table field while the value is the sorting method which is either 'asc' or 'desc'.
- name: the name of the database table

Example: `public static function definition() { return array( "fields" => array( "id" => "ID", "version" => "Version", "name" => "Name" ), "keys" => array( "id", "version" ), "function_attributes" => array( "current" => "currentVersion", "class_name" => "className" ), "increment_key" => "id", "class_name" => "eZContentClass", "sort" => array( "id" => "asc" ), "name" => "ezcontentclass" ); }`

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 38 of file ezorder.php.

Referenced by active(), activeByUserID(), fetch(), and fetchList().

## ◆ detachProductCollection()

eZOrder::detachProductCollection | ( |  | ) |

Makes a copy of the product collection it currently points to and sets the copied collection as the current collection.

Note
  This will store the order with the new product collection.

Returns
  the new collection or `false` if something failed.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 144 of file ezorder.php.

References eZDB\instance(), productCollection(), eZPersistentObject\setAttribute(), and eZPersistentObject\store().

## ◆ discount()

static eZOrder::discount | ( |  | $userID,
|  |  | $object
| ) |  |
| static

Returns
  the discountrules for a user

Definition at line 750 of file ezorder.php.

References eZDiscount\discountPercent(), and eZUser\fetch().

## ◆ fetch()

static eZOrder::fetch | ( |  | $id,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 177 of file ezorder.php.

References definition(), and eZPersistentObject\fetchObject().

Referenced by customerList(), and eZSimpleShippingType\execute().

## ◆ fetchList()

static eZOrder::fetchList | ( |  | $asObject = `true` | ) |
| static

Definition at line 185 of file ezorder.php.

References definition(), and eZPersistentObject\fetchObjectList().

## ◆ fetchLocaleCurrencyCode()

static eZOrder::fetchLocaleCurrencyCode | ( |  | ) |
| static

Returns
  the local currency code, used by the price datatype.

Definition at line 1583 of file ezorder.php.

References eZLocale\instance().

Referenced by currencyCode(), customerList(), orderStatistics(), and productList().

## ◆ getNewID()

eZOrder::getNewID | ( |  | ) |

Get a new auto_increment id from a separate table ezorder_nr_incr.

Returns
  int the inserted id

Definition at line 1320 of file ezorder.php.

References eZDB\instance().

Referenced by activate().

## ◆ getShowOrdersQuery()

static eZOrder::getShowOrdersQuery | ( |  | $show,
|  |  | $table = `null`
| ) |  |
| static

Definition at line 203 of file ezorder.php.

References SHOW_ALL, SHOW_ARCHIVED, and SHOW_NORMAL.

Referenced by activeCount().

## ◆ modifyStatus()

eZOrder::modifyStatus | ( |  | $statusID,
|  |  | $userID = `false`
| ) |  |

Modifies the status on the order to $statusID. It will store the previous status in the history list using $userID.

Parameters

  $statusID | The ID of the status that is to be set, this must be the global ID not the DB ID.
  $userID | The ID of the user that did the change, if `false` it will fetch the current user ID.

Note
  transaction safe
  If you only want to change the status ID use the setStatus() function instead.

Definition at line 1191 of file ezorder.php.

References eZOrderStatusHistory\create(), eZUser\currentUserID(), eZDB\instance(), and eZPersistentObject\store().

## ◆ orderInfo()

eZOrder::orderInfo | ( |  | ) |

Definition at line 1429 of file ezorder.php.

References eZPersistentObject\count(), orderItems(), and productItems().

## ◆ orderItems()

eZOrder::orderItems | ( |  | ) |

Definition at line 980 of file ezorder.php.

References eZPersistentObject\attribute(), and eZOrderItem\fetchList().

Referenced by orderInfo(), orderTotalExVAT(), and orderTotalIncVAT().

## ◆ orderItemsByType()

eZOrder::orderItemsByType | ( |  | $itemType | ) |

Parameters

  $type | Order item type

Definition at line 989 of file ezorder.php.

References eZOrderItem\fetchListByType().

## ◆ orderList()

static eZOrder::orderList | ( |  | $CustomID,
|  |  | $Email
| ) |  |
| static

Returns
  list of products for a custom

Definition at line 430 of file ezorder.php.

References eZPersistentObject\$Email, and eZDB\instance().

## ◆ orderStatistics()

static eZOrder::orderStatistics | ( |  | $year = `false`,
|  |  | $month = `false`
| ) |  |
| static

Returns
  the number of active orders

Definition at line 289 of file ezorder.php.

References eZContentObject\fetchList(), fetchLocaleCurrencyCode(), and eZDB\instance().

## ◆ orderTotalExVAT()

eZOrder::orderTotalExVAT | ( |  | ) |

Definition at line 882 of file ezorder.php.

References eZPersistentObject\count(), and orderItems().

Referenced by totalExVAT().

## ◆ orderTotalIncVAT()

eZOrder::orderTotalIncVAT | ( |  | ) |

Definition at line 867 of file ezorder.php.

References eZPersistentObject\count(), and orderItems().

Referenced by totalIncVAT().

## ◆ productCollection()

eZOrder::productCollection | ( |  | ) |

Returns
  the product collection which this order uses.

Definition at line 172 of file ezorder.php.

References eZPersistentObject\attribute(), and eZProductCollection\fetch().

Referenced by detachProductCollection().

## ◆ productItems()

eZOrder::productItems | ( |  | $asObject = `true`,
|  | ?array | $sorts = `null`
| ) |  |

Fetch product items that bellongs ot the order

Parameters

  bool | $asObject |
  array | null | $sorts | Array with sort data sent directly to eZPersistentObject::fetchObjectList()

Definition at line 768 of file ezorder.php.

References eZProductCollectionItem\definition(), and eZPersistentObject\fetchObjectList().

Referenced by orderInfo(), productItemsOrdered(), productTotalExVAT(), and productTotalIncVAT().

## ◆ productItemsOrdered()

eZOrder::productItemsOrdered | ( |  | $asObject = `true`,
|  |  | $order = `true`
| ) |  |

Fetch product items ordered by id ( the order they where added to order )

Parameters

  bool | $asObject |
  bool | $order | True (default) for ascending[0->9] and false for decending[9->0]

Definition at line 838 of file ezorder.php.

References productItems().

## ◆ productList()

static eZOrder::productList | ( |  | $CustomID,
|  |  | $Email
| ) |  |
| static

Returns
  list of products for a custom

Definition at line 463 of file ezorder.php.

References eZPersistentObject\$Email, eZPersistentObject\count(), eZContentObject\fetch(), fetchLocaleCurrencyCode(), and eZDB\instance().

## ◆ productTotalExVAT()

eZOrder::productTotalExVAT | ( |  | ) |

Definition at line 855 of file ezorder.php.

References productItems().

Referenced by totalExVAT().

## ◆ productTotalIncVAT()

eZOrder::productTotalIncVAT | ( |  | ) |

Definition at line 843 of file ezorder.php.

References productItems().

Referenced by totalIncVAT().

## ◆ purge()

eZOrder::purge | ( |  | $removeCollection = `true` | ) |

Removes the order.

shop/confirmorder calls this method passing $removeCollection set to `false` to purge the order if the user doesn't confirm it. Removing the product collection in this case would cause fatal error.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Parameters

  $removeCollection | (bool) specifies if we should remove product collection the order uses.

Definition at line 918 of file ezorder.php.

References eZDB\instance(), removeCollection(), removeHistory(), and removeOrderItems().

## ◆ removeCollection()

eZOrder::removeCollection | ( |  | ) |

Removes the product collection this order uses.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 935 of file ezorder.php.

References eZPersistentObject\attribute(), and eZProductCollection\fetch().

Referenced by purge().

## ◆ removeHistory()

eZOrder::removeHistory | ( |  | ) |

Removes the order status history for this order.

Note
  transaction unsafe

Definition at line 946 of file ezorder.php.

References eZDB\instance().

Referenced by purge().

## ◆ removeItem()

static eZOrder::removeItem | ( |  | $itemID | ) |
| static

Removes the product collection item $itemID.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 965 of file ezorder.php.

References eZProductCollectionItem\fetch().

## ◆ removeOrderItems()

eZOrder::removeOrderItems | ( |  | ) |

Definition at line 953 of file ezorder.php.

References eZDB\instance().

Referenced by purge().

## ◆ setStatus()

eZOrder::setStatus | ( |  | $status | ) |

Sets the status ID to $status and updates the status modification timestamp.

Note
  This does not create a status history element, use modifyStatus() instead.

Definition at line 1233 of file ezorder.php.

References setStatusModified().

## ◆ setStatusModified()

eZOrder::setStatusModified | ( |  | $timestamp | ) |

Sets the modification time of the status change to $timestamp.

Definition at line 1245 of file ezorder.php.

Referenced by setStatus().

## ◆ status()

eZOrder::status | ( |  | $asObject = `false` | ) |

Returns
  The status object if $asObject is `true`, otherwise the status ID.

Definition at line 1041 of file ezorder.php.

References $StatusID, and eZOrderStatus\fetch().

## ◆ statusModificationList()

eZOrder::statusModificationList | ( |  | $user = `false` | ) |

Returns
  A list of status items that the current user can set this order to.

Note
  If the user doesn't have any access at all for this order it will return an empty array.

Definition at line 1108 of file ezorder.php.

References eZPersistentObject\attribute(), eZPersistentObject\count(), eZUser\currentUser(), eZUser\fetch(), eZOrderStatus\fetchOrderedList(), and eZDebug\writeError().

## ◆ statusName()

eZOrder::statusName | ( |  | ) |

Returns
  The name of the current status.

Note
  It will cache the current status object in the $Status member variable to make multiple calls to this function fast.

Definition at line 1255 of file ezorder.php.

References eZOrderStatus\fetchByStatus().

## ◆ statusObject()

eZOrder::statusObject | ( |  | ) |

Returns
  The current status object.

Note
  It will cache the current status object in the $Status member variable to make multiple calls to this function fast.

Definition at line 1269 of file ezorder.php.

References $Status, and eZOrderStatus\fetchByStatus().

## ◆ totalExVAT()

eZOrder::totalExVAT | ( |  | ) |

Definition at line 902 of file ezorder.php.

References orderTotalExVAT(), and productTotalExVAT().

## ◆ totalIncVAT()

eZOrder::totalIncVAT | ( |  | ) |

Definition at line 897 of file ezorder.php.

References orderTotalIncVAT(), and productTotalIncVAT().

## ◆ totalVAT()

eZOrder::totalVAT | ( |  | ) |

Returns
  the total VAT value of the order

Definition at line 975 of file ezorder.php.

## ◆ unArchiveOrder()

static eZOrder::unArchiveOrder | ( |  | $orderID | ) |
| static

Unarchive an order, make it 'normal' again.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 1391 of file ezorder.php.

References eZDB\instance().

## ◆ user()

eZOrder::user | ( |  | ) |

Returns
  the user who has created the order.

Definition at line 997 of file ezorder.php.

References eZUser\fetch().

## Member Data Documentation

## ◆ $AccountIdentifier

eZOrder::$AccountIdentifier

Definition at line 27 of file ezorder.php.

Referenced by accountViewTemplate().

## ◆ $IgnoreVAT

eZOrder::$IgnoreVAT

Definition at line 22 of file ezorder.php.

## ◆ $OrderNr

eZOrder::$OrderNr

Definition at line 23 of file ezorder.php.

## ◆ $ProductCollectionID

eZOrder::$ProductCollectionID

Definition at line 21 of file ezorder.php.

## ◆ $Status

eZOrder::$Status

The cached status object or `null` if not cached yet.

Definition at line 1592 of file ezorder.php.

Referenced by statusObject().

## ◆ $StatusID

eZOrder::$StatusID

Definition at line 24 of file ezorder.php.

Referenced by status().

## ◆ $StatusModified

eZOrder::$StatusModified

Definition at line 25 of file ezorder.php.

## ◆ $StatusModifierID

eZOrder::$StatusModifierID

Definition at line 26 of file ezorder.php.

## ◆ SHOW_ALL

const eZOrder::SHOW_ALL = 2

Definition at line 30 of file ezorder.php.

Referenced by active(), and getShowOrdersQuery().

## ◆ SHOW_ARCHIVED

const eZOrder::SHOW_ARCHIVED = 1

Definition at line 29 of file ezorder.php.

Referenced by getShowOrdersQuery().

## ◆ SHOW_NORMAL

const eZOrder::SHOW_NORMAL = 0

Definition at line 28 of file ezorder.php.

Referenced by getShowOrdersQuery().

The documentation for this class was generated from the following file:

- ezorder.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.